LCMAPS_DUMMY_GOOD.MOD(8)

NAME
lcmaps_dummy_good.mod - dummy LCMAPS plugin that always returns success

SYNOPSIS
lcmaps_dummy_good.mod [{--dummy-uid uid| --dummy-username user}] [{--dummy-gid gid| --dummy-group group}] [{--dummy-sec-gid gid| --dummy-sec-group group}]

DESCRIPTION
LCMAPS plug-in that always returns successfully, optionally with a user and group mapping.

OPTIONS
This plugin is configured in the lcmaps.db(5) file, following the specific syntax as described in the documentation.

--dummy-uid uid
--dummy-username user
    The user id or user name to return as part of a successful mapping. The user must exist on the system. The default is to return no user information. Use either of these options, not both.

--dummy-gid gid
--dummy-group group
    The group id or group name to return as part of a successful mapping. The group must exist on the system; the default is to return no group mapping. Use either of these options, not both.

--dummy-sec-gid gid
--dummy-sec-group group
    The secondary group mapping to return as part of a successful mapping. The group must exist on the system. Only one secondary group can be mapped by this plug-in. The default is to return no secondary group mapping. Use either of these options, not both.

RETURN VALUE
This plugin always returns LCMAPS_MOD_SUCCESS, but if the given user or group was not found on the system, the plugin returns LCMAPS_MOD_FAIL.

BUGS
Please report any errors to the Nikhef Grid Middleware Security Team <grid-mw-security-support@nikhef.nl>.

SEE ALSO
lcmaps(3), lcmaps.db(5).
More information can be found on-line at the Nikhef Wiki on Site Access Control (https://wiki.nikhef.nl/grid/Site_Access_Control).

AUTHOR
LCMAPS and the LCMAPS plug-ins were written by the Grid Middleware Security Team <grid-mw-security@nikhef.nl>.